Bug 245769 - Kernel-Xen-2.6 does not boot with i2o module
Kernel-Xen-2.6 does not boot with i2o module
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6 (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Eduardo Habkost
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-26 12:15 EDT by Fred
Modified: 2008-06-16 21:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:43:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred 2007-06-26 12:15:28 EDT
Description of problem:
 When having an adaptec board (2210s), the installation is right. But when
rebooting, the xen-kernel does not recognize the partition /dev/i2o/hda, when
rebooting on the kernel-2.6 (non xen), the partition table is recognized, and
the boot continues.

Version-Release number of selected component (if applicable):
kernel-xen 2.6.20-2925.11.fc7xen

How reproducible:
 With standard installation of F7 on 2110s board (using i2o module)

Steps to Reproduce:
1. Install a F7 with virtualization support
2. After install is complete, reboot
3. ...the board is recognized, but the partition table is unreadable.
Actual results:
 => Kernel panic

Expected results:
 => Init booting...

Additional info:
 /dev/i2o/hda: unknown partition table.

 The module version is not the same as kernel 2.6.21 with non xen support, on F7.
Comment 1 Bug Zapper 2008-05-14 09:17:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:43:02 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.